%define docsdir "/usr/share/rhevm/docs"

Name:          rhevm-doc
Version:       3.0.4
Release:    1%{?dist}

Summary:       Red Hat Enterprise Virtualization documentation
Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.redhat.com
Source:        %{name}-%{version}.tgz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      xdg-utils
BuildRequires:    Red_Hat_Enterprise_Linux-Hypervisor_Deployment_Guide-6-web-en-US
BuildRequires:    Red_Hat_Enterprise_Linux-V2V_Guide-6-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Administration_Guide-3.0-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Evaluation_Guide-3.0-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Installation_Guide-3.0-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Power_User_Portal_Guide-3.0-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Quick_Start_Guide-3.0-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-REST_API_Guide-3.0-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Technical_Reference_Guide-3.0-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-User_Portal_Guide-3.0-web-en-US

%description

This package contains the Red Hat Enterprise Virtualization 
documentation in html and pdf format.

%prep
%setup -q -c $RPM_BUILD_DIR

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{docsdir}/en-US

mv DocumentationPath.csv $RPM_BUILD_ROOT/%{docsdir}/en-US/DocumentationPath.csv
cp -r /var/www/html/docs/en-US/Red_Hat_Enterprise_{Virtualization,Linux}/*/html/ $RPM_BUILD_ROOT/%{docsdir}/en-US/
cp -r /var/www/html/docs/en-US/Red_Hat_Enterprise_{Virtualization,Linux}/*/pdf/ $RPM_BUILD_ROOT/%{docsdir}/en-US/

for FILE in `find $RPM_BUILD_ROOT/%{docsdir}/. -name '*.html'`; do
    sed -i -e :a -e 's/<script type="text\/javascript".*<\/script>//g;/</N;//ba;' ${FILE}
    sed -i -e :a -e 's/<div id="tocdiv" class="toc"><iframe.*<\/iframe><\/div>//g;/</N;//ba;' ${FILE} 
done

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc %{docsdir}

%changelog
* Fri Mar 23 2012 Stephen Gordon <sgordon@redhat.com> - 3.0.4-1
- Install fails on EFI machine - rhbz#773069
- Merge: Old RHEV-H screenshots in install guide - rhbz#791250
- Merge: Docs QE Review: Typos and Comments - rhbz#795839
- Merge: Eval Guide - need to clarify location or EAP channel - rhbz#795840
- Merge: Quick Start - need to clarify location or EAP channel - rhbz#795841
- Merge: rhev-m rest api for hosts - cpu tag - from doc description cannot 
  determine if there can be many "<cpu></cpu>" xml blocks in case of 
  multiprocessor host machine - rhbz#795843
- Merge: Error in Admin guide 12.3 - Automatic Virtual Machine Migration - 
  rhbz#795844
- Merge: installation guide requirements should list UIDs/GIDs needed by RHEV 
  - rhbz#795947
* Tue Feb 21 2012 Stephen Gordon <sgordon@redhat.com> - 3.0.3-1
- Initial 3.0.3 build to ensure build system updates function correctly - rhbz#784017
* Thu Feb 2 2012 Stephen Gordon <sgordon@redhat.com> - 3.0.2-3
- Updated Quick Start guide contents packaged for rhev-m z-stream - rhbz#784017
* Thu Jan 26 2012 Stephen Gordon <sgordon@redhat.com> - 3.0.2-1
- Updated guide contents packaged for rhev-m z-stream - rhbz#784017
* Tue Dec 06 2011 Tim Hildred <thildred@redhat.com> - 3.0-19
- Updated guide contents packaged for rhev-m GA - rhbz#758836
* Tue Nov 15 2011 Tim Hildred <thildred@redhat.com> - 3.0-16
- Updated guide contents packaged for rhev-m External Beta 4 - rhbz#735918
* Mon Oct 17 2011 Tim Hildred <thildred@redhat.com> - 3.0-10
- Updated guide contents packaged for rhev-m External Beta 3 - rhbz#735918
* Thu Oct 13 2011 Tim Hildred <thildred@redhat.com> - 3.0-10
- Updated guide contents packaged for rhev-m External Beta 3 - rhbz#735918
* Wed Oct 5 2011 Tim Hildred <thildred@redhat.com> - 3.0-9
- Updated guide contents packaged for rhev-m External Beta 3 - rhbz#735918
* Thu Sep 29 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-8
- Updated guide contents packaged for rhev-m External Beta 3 - rhbz#735918
* Tue Sep 27 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-7
- Updated guide contents packaged for rhev-m External Beta 3 - rhbz#735918
* Fri Aug 4 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-6
- Corrected dead links to point to generic section in Installation Guide. - rhbz#728211
* Fri Aug 4 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-5
- Removed quotes from DocumentationPath.csv file. - rhbz#728211
* Fri Aug 4 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-4
- Final documentation content for External Beta 1 - rhbz#728211
* Fri Jul 27 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-3
- Updated guide contents packaged for rhev-m External Beta 1 - rhbz#722360
* Fri Jul 22 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-2
- Updated guide contents packaged for rhev-m External Beta 1 - rhbz#722360
* Thu Jul 21 2011 Stephen Gordon <sgordon@redhat.com> - 3.0-1
- Finalized list of guides to be packaged for rhev-m External Beta 1 - rhbz#722360
* Mon Jun 27 2011 Stephen Gordon <sgordon@redhat.com> - 2-1
- rhevm-doc package to iniclude html *and* pdf documentation - rhbz#714530
* Mon Jun 20 2011 Stephen Gordon <sgordon@redhat.com> - 1-4
- rhevm-doc package only needs to contain html documentation - rhbz#714530
- DocumentationPath.csv named incorrectly in rhevm-docs package - rhbz#714527
* Wed Jun 2 2011 Stephen Gordon <sgordon@redhat.com> - 1-3
- Updated revision to prevent clash rhbz#690021
* Wed Jun 1 2011 Stephen Gordon <sgordon@redhat.com> - 1-2
- Updated revision to prevent clash rhbz#690021
* Wed May 25 2011 Stephen Gordon <sgordon@redhat.com> - 1-1
- Initial build for 3.0 rhbz#690021 

